function F3PAchi_Receive(...)
	---[[
	local prefix, msg, channel, sender = ...
	--[[]]if F3PAddon_Variables.Settings.Verbose then print(msg) end
	-- last check excludes messages for the player's addon, not the player
	local achid = string.match(msg, "^f3p=achid=(%d+):")
	--[[]]if F3PAddon_Variables.Settings.Verbose then print("achid = "..tostring(achid)) end
	local guid = string.match(msg, ":guid=(%w+):")
	local month = string.match(msg, ":M=(%d+):")
	local day = string.match(msg, ":d=(%d+):")
	local year = string.match(msg, ":y=(%d+)$")
	local _, name = GetAchievementInfo(achid)
	local tail = "[|Hachievement:"..achid..":"..guid..":1:"..month..":"..day..":"..year..":0:0:0:0|h"..name.."|h]"
	msg = "|cffffff00" .. string.format(F3PLoc.achi["HAS_EARNED_THE_ACHIEVEMENT_"], tail)
	F3PChat_FormatIncoming(msg, sender)
	--]]
end
		
function F3PAchi_Send(...)
	---[[
	local achId = ...
	local id, name, points, completed, month, day, year, description, flags, icon, rewardText, isGuildAch = GetAchievementInfo(achId)
	local msg = "f3p=achid="..achId..":guid="..UnitGUID("player")..":M="..month..":d="..day..":y="..year
	F3PChat_RouteChatMessage(msg)
	local tail = "[|Hachievement:"..achId..":"..UnitGUID("player")..":1:"..month..":"..day..":"..year..":0:0:0:0|h"..name.."|h]"
	msg = "|cffffff00" .. string.format(F3PLoc.achi["HAS_EARNED_THE_ACHIEVEMENT_"], tail)
	F3PChat_FormatIncoming(msg, F3PAddonGlobalVars.myName)
	--]]
end
