
function F3PChannel_GetAll(...) -- Puts everyone from the channel list (less the player) into a global variable
	--[[]]if F3PAddon_Variables.Settings.Verbose then print("F3PChannel_GetAll called.") end
	local a,b,c,d,e,f,g,h,i,j,k = ...
	a = string.gsub(a,"*","") --take the leading '*' off any channel owner's name
	a = string.gsub(a,"@","") --take the leading '@' off the channel mod's name
	for chatmember in string.gmatch(a, "[^%s,]+") do --split the list of people in channel into a table
		--[[]]if F3PAddon_Variables.Settings.Verbose then print(chatmember) end
		if chatmember ~= GetUnitName("player",0) then
			tinsert(F3PAddonGlobalVars.inChatList, chatmember)
		end
	end
	F3PAddonGlobalVars.channelListOK = true
end

function F3PChannel_AddOne(...)
	local a,b,c,d,e,f,g,h,i = ...
	tinsert(F3PAddonGlobalVars.inChatList, b)
end

function F3PChannel_RemoveOne(...)
	local a,b,c,d,e,f,g,h,i = ...
	for i, v in pairs(F3PAddonGlobalVars.inChatList) do
		if v == b then
			tremove(F3PAddonGlobalVars.inChatList, i)
		end
	end
end

function F3PChannel_MemberSortFunction1(a, b)
	--f3p @ 20
	--p2p @ 20
	--f3p < 20
	--p2p < 20
	local x = F3PAddon_Variables.Realms[F3PAddonGlobalVars.thisRealm][F3PAddonGlobalVars.myFaction]["Characters"]
	if tonumber(x[a].level) == tonumber(x[b].level) then
		return tostring(x[a].trial) < tostring(x[b].trial)
	elseif tostring(x[a].trial) == tostring(x[b].trial) then
		return  tonumber(x[a].level) > tonumber(x[b].level)
	end
end

function F3PChannel_MemberSortFunction2(a, b)
	local x = F3PAddon_Variables.Realms[F3PAddonGlobalVars.thisRealm][F3PAddonGlobalVars.myFaction]["Characters"]
end

function F3PChannel_GetBestOwnerCandidate()
	--F3PAddon_Variables.Realms[F3PAddonGlobalVars.thisRealm][F3PAddonGlobalVars.myFaction]["Characters"]


	table.sort(F3PAddonGlobalVars.inChatList, F3PChannel_MemberSortFunction1)
	return F3PAddonGlobalVars.inChatList[1]
end

function F3PChannel_PassOwner(...)
	local a,b,c,d,e,f,g,h,i = ...
	--if <b is a listed moderator> then
		
	--else
		local channelNum = 0
		for x = 1, GetNumDisplayChannels() do
			if GetChannelDisplayInfo(x) == F3PAddonGlobalVars.Channel1Name then
				channelNum = x
			end
		end 
		SetSelectedDisplayChannel(channelNum)
		if IsDisplayChannelOwner() and F3PChannel_GetBestOwnerCandidate() then
			SetChannelOwner(F3PAddonGlobalVars.Channel1Name, F3PChannel_GetBestOwnerCandidate())
		end
	--end
end